"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = MDXContent;

var _react = _interopRequireDefault(require("react"));

var _react2 = require("@mdx-js/react");

var _mdxUi = require("@teambit/mdx.ui.mdx-scope-context");

var _excluded = ["components"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var layoutProps = {};
var MDXLayout = "wrapper";

function MDXContent(_ref) {
  var components = _ref.components,
      props = _objectWithoutProperties(_ref, _excluded);

  return (0, _react2.mdx)(MDXLayout, _extends({}, layoutProps, props, {
    components: components,
    mdxType: "MDXLayout"
  }), (0, _react2.mdx)(_mdxUi.MDXScopeProvider, {
    components: {},
    mdxType: "MDXScopeProvider"
  }, (0, _react2.mdx)("h2", null, "How to Add Docs"), (0, _react2.mdx)("blockquote", null, (0, _react2.mdx)("p", {
    parentName: "blockquote"
  }, "Document your components by creating a file with ", (0, _react2.mdx)("inlineCode", {
    parentName: "p"
  }, ".docs.mdx"), " extension.")), (0, _react2.mdx)("iframe", {
    width: "560",
    height: "315",
    src: "https://www.youtube.com/embed/cKMghSe_1RU?rel=0",
    title: "Adding Docs for your Component",
    frameborder: "0",
    allow: "accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture",
    allowfullscreen: true
  }), (0, _react2.mdx)("h3", null, "Add a Description and Labels"), (0, _react2.mdx)("p", null, "Add a description for your component and labels which are used for better discoverability of components."), (0, _react2.mdx)("pre", null, (0, _react2.mdx)("code", {
    parentName: "pre",
    "className": "language-mdx"
  }, "---\ndescription: Description of my component\nlabels: ['label1', 'label2', 'label3']\n---\n")), (0, _react2.mdx)("h3", null, "Add some markdown"), (0, _react2.mdx)("pre", null, (0, _react2.mdx)("code", {
    parentName: "pre",
    "className": "language-mdx"
  }, "# Add some markdown formated text\n\nList your component features:\n\n- feature 1\n- feature 2\n")), (0, _react2.mdx)("h3", null, "Add a Code Block and Live Playground"), (0, _react2.mdx)("p", null, "Add a codeblock to show how your component can be used."), (0, _react2.mdx)("pre", null, (0, _react2.mdx)("code", {
    parentName: "pre",
    "className": "language-mdx"
  }, "import { Hello } from './hello';\n```js\n() => {\n  return <Hello />;\n};\n``\n\n`\n")), (0, _react2.mdx)("p", null, "Add ", (0, _react2.mdx)("inlineCode", {
    parentName: "p"
  }, "live=true"), " to create a Live Playground:"), (0, _react2.mdx)("pre", null, (0, _react2.mdx)("code", {
    parentName: "pre",
    "className": "language-mdx"
  }, "import { Hello } from './hello';\n\n```jsx live=true\n() => {\n  return <Hello />;\n};\n```\n")), (0, _react2.mdx)("p", null, "Learn more about ", (0, _react2.mdx)("a", {
    parentName: "p",
    "href": "https://harmony-docs.bit.dev/building-with-bit/documenting-components"
  }, "Documenting Components"))));
}

;
MDXContent.isMDXComponent = true;

//# sourceMappingURL=adding-docs.mdx.js.map